--- old/usr/src/lib/libdhcpagent/common/dhcp_stable.c	2014-02-16 09:52:03.436002930 +0000
+++ new/usr/src/lib/libdhcpagent/common/dhcp_stable.c	2014-02-16 09:52:03.462416223 +0000
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * This module reads and writes the stable identifier values, DUID and IAID.
  */
@@ -44,6 +42,7 @@
 #include <net/if.h>
 #include <netinet/dhcp6.h>
 #include <dhcp_inittab.h>
+#include <sys/ethernet.h>
 
 #define	DUID_FILE	"/etc/dhcp/duid"
 #define	IAID_FILE	"/etc/dhcp/iaid"
@@ -143,6 +142,7 @@
 	 */
 
 	if (dlpi_open(physintf, &dh, 0) == DLPI_SUCCESS &&
+	    dlpi_bind(dh, ETHERTYPE_IPV6, NULL) == DLPI_SUCCESS &&
 	    dlpi_info(dh, &dlinfo, 0) == DLPI_SUCCESS &&
 	    (len = dlinfo.di_physaddrlen) > 0 &&
 	    (arptype = dlpi_arptype(dlinfo.di_mactype) != 0)) {
--- old/usr/src/lib/libdhcputil/common/dhcp_inittab.c	2014-02-16 09:52:04.001857540 +0000
+++ new/usr/src/lib/libdhcputil/common/dhcp_inittab.c	2014-02-16 09:52:04.014709224 +0000
@@ -41,6 +41,7 @@
 #include <libinetutil.h>
 #include <libdlpi.h>
 #include <netinet/dhcp6.h>
+#include <sys/ethernet.h>
 
 #include "dhcp_symbol.h"
 #include "dhcp_inittab.h"
@@ -507,7 +508,9 @@
 				}
 			}
 		} else {
-			if (dlpi_info(dh, &dlinfo, 0) != DLPI_SUCCESS) {
+			if (dlpi_bind(dh, ETHERTYPE_IPV6, NULL) !=
+			    DLPI_SUCCESS || dlpi_info(dh, &dlinfo, 0) !=
+			    DLPI_SUCCESS) {
 				dlpi_close(dh);
 				goto failed;
 			}
